%define dist PDL
Name: perl-%dist
Version: 2.4.1
Release: alt1
Epoch: 1

Summary: The Perl Data Language
License: GPL or Artistic
Group: Development/Perl

Url: http://pdl.perl.org/
Source: %dist-%version.tar.bz2

Patch1: %name-2.3.3-mdk-pic.patch
Patch2: %name-2.4.0-mdk-handle-INSTALLDIRS-vendor.patch
Patch3: %name-2.3.4-alt-trid-makefile.patch
Patch4: %name-2.4.1-alt-proto-syntax.patch
Patch5: %name-2.4.0-alt-printf.patch
Patch6: %name-2.2.1-pld-fftw-shared.patch

Provides: %name-doc = 1:%version
Obsoletes: %name-doc <= 1:%version

# some modules are not supported: additional libraries required etc.
%add_findreq_skiplist */PGPLOT*.pm

# desperately broken
%add_findreq_skiplist */TriD/Cube.pm

# Automatically added by buildreq on Mon Jun 21 2004 (-bi)
BuildRequires: Mesa XFree86-devel gcc-g77 libGLU-devel libfftw-devel libg2c-devel libjpeg-utils ncompress netpbm perl-ExtUtils-F77 perl-Inline perl-PDL perl-Storable perl-Tk perl-devel perl-i18n perl-pod sharutils

%description
The perlDL project aims to turn perl into an efficient numerical language for
scientific computing. The PDL module gives standard perl the ability to
COMPACTLY store and SPEEDILY manipulate the large N-dimensional data sets which
are the bread and butter of scientific computing. e.g. $a=$b+$c can add two
2048x2048 images in only a fraction of a second.

The aim is to provide tons of useful functionality for
scientific and numeric analysis.

%prep
%setup -q -n %dist-%version
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
cat <<\__EOF__ >./perldl-alt.conf
%%PDL_CONFIG = (
	WITH_3D => 1,
	OPENGL_LIBS => '-L/usr/X11R6/lib -lGL -lGLU -lXext -lX11',
	OPENGL_DEFINE => '-DGL_GLEXT_LEGACY ' .
# disable some prototypes in header files -- those functions are not in libraries:
		'-DGLX_MESA_agp_offset=1 -DGL_MESA_trace=1 -DGLX_NV_vertex_array_range=1',
	OPENGL_INC => '-I/usr/X11R6/include',
);
__EOF__
%perl_vendor_build PDLCONF=perldl-alt.conf
%make doctest 

%install
%perl_vendor_install
%__bzip2 Changes

%files
%doc BUGS COPYING Changes.bz2 DEPENDENCIES DEVELOPMENT Known_problems README Release_Notes TODO
%_bindir/*
%_man1dir/*
%perl_vendor_man3dir/*
%perl_vendor_archlib/PDL*
%perl_vendor_autolib/PDL*
%perl_vendor_archlib/Inline*

# TODO
# - build IO-Browser (2D data browser for PDL)
# - fix libgsl bingins
# - consider BADVAL support
# - use slatec shared library

%changelog
* Mon Jun 21 2004 Alexey Tourbin <at@altlinux.ru> 1:2.4.1-alt1
- 2.4.0 -> 2.4.1; raised epoch to deploy new versioning scheme
- op-warnings.patch dropped (they use `no warnings' instead)
- pld-fftw-shared.patch: enabled libfftw bindings
- proto-syntax.patch updated
- check for undefined symbols now implemented in rpm-build-perl
- packaged HTML documentation

* Fri Oct 31 2003 Alexey Tourbin <at@altlinux.ru> 2.400-alt1
- 2.4.0
- OpenGL support really fixed:
  + additional custom config is now used
  + Mesa and GLX extra prototyes disabled (fixes undefined symbols)
- libg2c detection fixed in perl-ExtUtils-F77
- check for undefined symbols added
- PGPLOT.patch dropped, PGPLOT is unsupported (additional libs required)
- syntax.patch: fix perl syntax (prototypes)
- op-warning.patch: fix warnings in IO/Misc.pm
- printf.patch: typo fixed that produced an undefined symbol

* Fri Nov 08 2002 Dmitry V. Levin <ldv@altlinux.org> 2.340-alt3
- Fixed OpenGL support.
- Fixed PGPLOT (inger).

* Wed Nov 06 2002 Stanislav Ievlev <inger@altlinux.ru> 2.340-alt2
- rebuild with new perl

* Mon Sep 16 2002 Grigory Milev <week@altlinux.ru> 2.330-alt1
- new version released

* Thu Jan 24 2002 Grigory Milev <week@altlinux.ru> 2.320-alt1
- new version released

* Mon Jul 23 2001 Stanislav Ievlev <inger@altlinux.ru> 2.210-alt2
- Rebuilt with new perl again

* Mon Jun 25 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.210-alt1
- Merged subpackages.
- Fixed docs.
- Rebuilt with perl-5.6.1

* Fri Jun 20 2001 Grigory Milev <week@altlinux.ru> 2.2.1-alt1
- new version (2.2.1)
- Spec rewritten for compatibility with new policy

* Sun Feb 4 2001 AEN <aen@logic.ru>
- RE adaptation

* Thu Nov 16 2000 Franois Pons <fpons@mandrakesoft.com> 2.101-4mdk
- created patch to force disabling fftw (while in contrib).

* Tue Nov 14 2000 Franois Pons <fpons@mandrakesoft.com> 2.101-3mdk
- updated summary.

* Tue Aug 29 2000 Franois Pons <fpons@mandrakesoft.com> 2.101-2mdk
- created patch for proper compilation without Mesa-devel.

* Fri Aug 04 2000 Franois Pons <fpons@mandrakesoft.com> 2.101-1mdk
- 2.1.1 renamed as 2.101 to avoid serializing.
- added perl-PDL-doc for pod files and HTML docs.

* Thu Aug 03 2000 Franois Pons <fpons@mandrakesoft.com> 2.005-3mdk
- created patch to compile with new Mesa-3.3.

* Mon Jul 31 2000 Alexander Skwar <ASkwar@DigitalProjects.com> 2.005-2mdk
- macrosfizication
- build with Core and HtmlDocs
- moving stuff from /usr/local/scripts to /usr/bin if needed; and don't tell me
  noone that this is already automagically done, because it ain't!
- added all the files that get installed during build, aka. nightmare? *g*
- added some %doc files

* Tue Jul 18 2000 Franois Pons <fpons@mandrakesoft.com> 2.005-1mdk
- 2.005.
- removed patch for compiling with perl 5.6.0.
- removed perllocal.pod

* Mon Apr 04 2000 Franois Pons <fpons@mandrakesoft.com> 2.004-1mdk
- updated to 2.004.
- added patch for compiling with perl 5.6.0.
- reduced nightmare of files section.
- removed man1 pages as they are no longer available?
- updated Group.

* Tue Jan 18 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.003-5mdk
- fix on non i386 arch.

* Thu Dec 16 1999 Franois PONS <fpons@mandrakesoft.com>
- added section 1 man pages (mainly internals of PDL).

* Wed Dec 15 1999 Franois PONS <fpons@mandrakesoft.com>
- added perldl, although not mandatory it helps a lot for tutorial and doc.

* Thu Dec  9 1999 Pixel <pixel@linux-mandrake.com>
- rebuild with new Mesa

* Tue Nov 23 1999 Franois PONS <fpons@mandrakesoft.com>
- upgraded to version 2.003
- fixed missing defattr.
- Build release.

* Tue Jul 13 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix %name problems to perl-PDL (all perl modules need to begin with perl)
- Add a Requires: Mesa

* Fri Jul  9 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- first version of rpm.

# end of file

